Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Sms.CONFIRM_TYPE

    java.lang.Object
      java.lang.Enum<Sms.CONFIRM_TYPE>
          com.skype.api.Sms.CONFIRM_TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Sms.CONFIRM_TYPE>

Enclosing class:
  Sms

    public static enum Sms.CONFIRM_TYPE

extends java.lang.Enum<Sms.CONFIRM_TYPE>

Enum Constant Summary
`ID_MOBILE` Confirm mobile number as CLI for SkypeOut calls
`ID_SKYPEIN` unused currently
`ID_SMS` Confirm mobile number as SMS sender number

Method Summary
`static Sms.CONFIRM_TYPE` | `fromString(java.lang.String s)`
`static Sms.CONFIRM_TYPE` | `get(int code)`
`int` | `getId()`
`static Sms.CONFIRM_TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Sms.CONFIRM_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ID_SMS

    public static final Sms.CONFIRM_TYPE ID_SMS

  Confirm mobile number as SMS sender number

### ID_MOBILE

    public static final Sms.CONFIRM_TYPE ID_MOBILE

  Confirm mobile number as CLI for SkypeOut calls

### ID_SKYPEIN

    public static final Sms.CONFIRM_TYPE ID_SKYPEIN

  unused currently

Method Detail

### values

    public static Sms.CONFIRM_TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Sms.CONFIRM_TYPE c : Sms.CONFIRM_TYPE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Sms.CONFIRM_TYPE valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Sms.CONFIRM_TYPE get(int code)

### fromString

    public static Sms.CONFIRM_TYPE fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.